For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
      • GETGet onboarding details by employee HRIS profile ID
      • GETGet onboarding details by onboarding tracker ID
      • GETList onboarding employees
    • PATCHProfiles
LogoLogo
SupportDeel Home
EndpointsOnboarding

Get onboarding details by onboarding tracker ID

GET
/onboarding/tracker/:tracker_id
GET
/rest/v2/onboarding/tracker/:tracker_id
$curl https://api.letsdeel.com/rest/v2/onboarding/tracker/eyJjb250cmFjdE9pZCI6IlB6cFlhcmVuIiwiaGlyaW5nVHlwZSI6ImNvbnRyYWN0b3IiLCJwcm9maWxlSWQiOjE2NzgyMCwidXNlcklkIjoxNDM3ODl9 \
> -H "Authorization: Bearer <token>"
1{
2 "data": {
3 "profile": {
4 "name": "John Doo",
5 "email": "test@email.com",
6 "country": "CA",
7 "last_login": "2021-07-14T22:00:00+00:00",
8 "previously_onboarded": true
9 },
10 "stepper": [
11 {
12 "data": {
13 "emails": [
14 {
15 "meta": {
16 "type": "CONTRACTOR_INVITE_SIGN_UP",
17 "email": "test@email.com",
18 "sent_at": "2021-07-14T22:00:00+00:00"
19 }
20 }
21 ],
22 "next_reminder_date": "2021-07-14T22:00:00+00:00"
23 },
24 "type": "REMINDER_SENT",
25 "completed_at": "2021-07-14T22:00:00+00:00"
26 }
27 ],
28 "summary": [
29 {
30 "data": {
31 "country": "CA",
32 "timezone": "Europe/Brussels",
33 "has_withdraw_methods": true
34 },
35 "name": "Contract start date",
36 "type": "START_DATE",
37 "value": "2021-07-14T22:00:00+00:00"
38 }
39 ],
40 "contract": {
41 "id": "PzpYaren",
42 "oid": "PzpYaren",
43 "name": "Contract Name",
44 "status": "in_progress",
45 "created_at": "2021-07-14T22:00:00+00:00",
46 "first_sign": "client",
47 "completion_date": "2021-07-14T22:00:00+00:00",
48 "client_signed_at": "2021-07-14T22:00:00+00:00",
49 "employee_agreement": {
50 "status": "AwaitingEmployeeSignature",
51 "version_hash": "cdf4f572eb13a5eaf46d"
52 },
53 "first_early_invoice": {
54 "id": "9r259RyjAnP7GeMpQnjAT",
55 "amount": "100.00",
56 "status": "PENDING",
57 "paid_at": "2026-03-01T00:00:00+00:00",
58 "currency": "EUR",
59 "due_date": "2026-04-01T00:00:00.000Z",
60 "description": "EOR funding statement for February, 2026"
61 },
62 "contractor_signed_at": "2021-07-14T22:00:00+00:00",
63 "invited_contractor_email": "test@email.com"
64 },
65 "progress": {
66 "status": "ACTIVE",
67 "reference_date": "2021-07-14T22:00:00+00:00",
68 "subject_to_overdue": true,
69 "reference_date_timezone": "Europe/Brussels",
70 "is_action_required_from_client": true
71 },
72 "checklist": {
73 "steps": [
74 {
75 "type": "sign_up_to_deel",
76 "label": "Create contractor account",
77 "status": "done",
78 "completed_at": "2021-07-14T22:00:00+00:00",
79 "reject_reason": "<p>Please submit the correct document for Form 145</p>"
80 }
81 ]
82 },
83 "hiring_type": "contractor",
84 "hris_profile": {
85 "oid": "150f635e-fae1-4b9d-9f86-768bbbac3698",
86 "name": "John Doo",
87 "email": "test@email.com",
88 "work_email": "test@email.com"
89 }
90 }
91}

Returns a worker’s onboarding status by tracker_id. Token scopes: contracts:read, people:read

Was this page helpful?
Previous

List onboarding employees

Next
Built with

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

tracker_idstringRequired
The unique identifier of the onboarding tracker.

Response

Onboarding overview
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/